/Users/bernard/b20/bsoft/src/bplane.cpp(3)

NAME
/Users/bernard/b20/bsoft/src/bplane.cpp - A tool to expand models.

SYNOPSIS

#include 'model_create.h'
#include 'model_plane.h'
#include 'model_transform.h'
#include 'model_views.h'
#include 'model_links.h'
#include 'model_util.h'
#include 'utilities.h'
#include 'options.h'
#include 'timer.h'

  Functions
int main (int argc, char **argv)

  Variables
int verbose
const char * use []

Detailed Description

A tool to expand models.

Author:
    Bernard Heymann

Date:
    Created: 20140925

    Modified: 20141008

Definition in file bplane.cpp.

Function Documentation

  int main (int argc, char ** argv)

Definition at line 55 of file bplane.cpp.

Variable Documentation

  const char* use[]
Initial value:

= {
" ",
"Usage: bplane [options] in.star",
"-------------------------------",
"Generates and manipulates plane models.",
" ",
"Actions for creation:",
"-plane 386,125           Generate a plane with the given length and width.",
"-setviews                Fit a plane to the model and set the component views.",
"-fit                     Use the input model as guide to generate a plane model.",
" ",
"Actions:",
"-view 0.5,-0.2,0.3,35    View to orient plane: vector=normal, angle=in-plane rotation.",
"-guide poly.star         Input guide model to adjust the plane to.",
" ",
"Parameters:",
"-verbose 7               Verbosity of output.",
"-separation 14.5         New component separation (default 10).",
"-sigma 150               Smoothness of the fit (default 100).",
"-componentradius 0.5     Component display radius.",
"-linkradius 0.5          Link display radius.",
" ",
"Input:",
"-map density.map         Input map file.",
" ",
"Output:",
"-output newmod.star      Output model file.",
" ",
NULL
}

Definition at line 24 of file bplane.cpp.

  int verbose

Author

Generated automatically by Doxygen for Bsoft from the source code.